import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

public class GraphicsTest2 extends Jlet
{
	protected void startApp(String args[]){
		Display dis = Display.getDefaultDisplay();
		dis.pushCard(new SampleCard());
    }

	protected void destroyApp(boolean b){
	}

};

class SampleCard extends Card
{
	public void paint(Graphics g)
	{
		int width = getWidth();
		int height = getHeight();

		g.setColor(0xff00000);
		g.drawLine(width/2,0,width/2,height);

		g.setColor(0x000000);
		g.drawString("LEFT",width/2,25,Graphics.LEFT);
		g.drawString("RIGHT",width/2,55,Graphics.RIGHT);
		g.drawString("HCENTER",width/2,85,Graphics.HCENTER);
	}
};


